git: 0d7e17c121bb - main - Mk/Scripts: protect URL string by enclosing it quotes

From: Stefan Eßer <se_at_FreeBSD.org>
Date: Fri, 09 Sep 2022 16:46:55 UTC
The branch main has been updated by se:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0d7e17c121bb1b746676f6dc04d3f2ab4ffb414c

commit 0d7e17c121bb1b746676f6dc04d3f2ab4ffb414c
Author:     Stefan Eßer <se@FreeBSD.org>
AuthorDate: 2022-09-09 16:43:41 +0000
Commit:     Stefan Eßer <se@FreeBSD.org>
CommitDate: 2022-09-09 16:46:47 +0000

    Mk/Scripts: protect URL string by enclosing it quotes
    
    The format of the manifest file does not allow commas in values.
    Since URLs may include commas, they need to be protected against
    interpretation of these commas as field separators.
    
    This update unbreaks the package generation for ports that have
    a comma in the URL.
    
    Approved by:    portmgr (implcit)
---
 Mk/Scripts/create-manifest.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Mk/Scripts/create-manifest.sh b/Mk/Scripts/create-manifest.sh
index 252fcead9103..118483cecddf 100644
--- a/Mk/Scripts/create-manifest.sh
+++ b/Mk/Scripts/create-manifest.sh
@@ -52,7 +52,7 @@ licenselogic: ${dp_LICENSE_COMB:-single}
 EOT
 
 # Then, the optional bits
-[ -z "${dp_WWW}" ] || echo "www: ${dp_WWW}"
+[ -z "${dp_WWW}" ] || echo "www: \"${dp_WWW}\""
 [ -z "${dp_LICENSE}" ] || echo "licenses: [ ${dp_LICENSE} ]"
 [ -z "${dp_USERS}" ] || echo "users: [ ${dp_USERS} ]"
 [ -z "${dp_GROUPS}" ] || echo "groups: [ ${dp_GROUPS} ]"